Index: /LMDZ6/branches/Ocean_skin/libf/phylmd/cva_driver.F90
===================================================================
--- /LMDZ6/branches/Ocean_skin/libf/phylmd/cva_driver.F90	(revision 3604)
+++ /LMDZ6/branches/Ocean_skin/libf/phylmd/cva_driver.F90	(revision 3605)
@@ -25,6 +25,6 @@
 !!                      elij1,evap1,ep1,epmlmMm1,eplaMm1, &                ! RomP
                       da1, phi1, mp1, phi21, d1a1, dam1, sigij1, wghti1, & ! RomP, RL
-                      clw1, elij1, evap1, ep1, epmlmMm1, eplaMm1, &        ! RomP, RL
-                      wdtrainA1, wdtrainM1, qtc1, sigt1, tau_cld_cv, &
+                      qta1, clw1, elij1, evap1, ep1, epmlmMm1, eplaMm1, &  ! RomP, RL
+                      wdtrainA1, wdtrainS1, wdtrainM1, qtc1, sigt1, tau_cld_cv, &     !!jygprl
                       coefw_cld_cv, &                                      ! RomP, AJ
                       epmax_diag1)  ! epmax_cape
@@ -124,5 +124,7 @@
 !                                      of dimension ND, defined at same grid levels as T, Q, QS and P.
 
-! wdtrainA1     Real           Output   precipitation detrained from adiabatic draught;
+! wdtrainA1     Real           Output   precipitation ejected from adiabatic draught;
+!                                         should be used in tracer transport (cvltr)
+! wdtrainS1     Real           Output   precipitation detrained from shedding of adiabatic draught;
 !                                         used in tracer transport (cvltr)
 ! wdtrainM1     Real           Output   precipitation detrained from mixed draughts;
@@ -248,5 +250,5 @@
 
 ! RomP >>>
-  REAL, DIMENSION (len, nd), INTENT (OUT)            :: wdtrainA1, wdtrainM1 ! precipitation sources (extensive)
+  REAL, DIMENSION (len, nd), INTENT (OUT)            :: wdtrainA1, wdtrainS1, wdtrainM1 ! precipitation sources (extensive)
   REAL, DIMENSION (len, nd), INTENT (OUT)            :: mp1  ! unsat. mass flux (staggered grid)
   REAL, DIMENSION (len, nd), INTENT (OUT)            :: da1  ! detrained mass flux of adiab. asc. air (extensive)
@@ -258,4 +260,5 @@
   REAL, DIMENSION (len, nd, nd), INTENT (OUT)        :: sigij1 ! mass fraction of env. air in mixed draughts (intensive) 
   REAL, DIMENSION (len, nd, nd), INTENT (OUT)        :: elij1! cond. water per unit mass of mixed draughts (intensive) 
+  REAL, DIMENSION (len, nd), INTENT (OUT)            :: qta1 ! total water per unit mass of the adiab. asc. (intensive)
   REAL, DIMENSION (len, nd), INTENT (OUT)            :: clw1 ! cond. water per unit mass of the adiab. asc. (intensive) 
 !JYG,RL
@@ -467,4 +470,5 @@
   REAL tv_wake(nloc, nd)
   REAL clw(nloc, nd)
+  REAL, DIMENSION(nloc, nd)    :: qta, qpreca                       !!jygprl
   REAL dph(nloc, nd)
   REAL pbase(nloc), buoybase(nloc), th(nloc, nd)
@@ -477,4 +481,5 @@
   REAL cin(nloc)
   REAL m(nloc, nd)
+  REAL mm(nloc, nd)
   REAL ment(nloc, nd, nd), sigij(nloc, nd, nd)
   REAL qent(nloc, nd, nd)
@@ -494,5 +499,5 @@
   REAL, DIMENSION(len,nd)     :: wt, water, evap
   REAL, DIMENSION(len,nd)     :: ice, fondue, b
-  REAL, DIMENSION(len,nd)     :: frac, faci
+  REAL, DIMENSION(len,nd)     :: frac_a, frac_s, faci               !!jygprl
   REAL ft(nloc, nd), fq(nloc, nd)
   REAL ftd(nloc, nd), fqd(nloc, nd)
@@ -523,5 +528,5 @@
  
 ! RomP >>>
-  REAL wdtrainA(nloc, nd), wdtrainM(nloc, nd)
+  REAL wdtrainA(nloc, nd), wdtrainS(nloc, nd), wdtrainM(nloc, nd)   !!jygprl
   REAL da(len, nd), phi(len, nd, nd)
   REAL epmlmMm(nloc, nd, nd), eplaMm(nloc, nd)
@@ -613,4 +618,7 @@
   asupmaxmin1(:) = 0.
 
+  tvp(:, :) = 0. !ym missing init, need to have a look by developpers
+  tv(:, :) = 0. !ym missing init, need to have a look by developpers
+
   DO il = 1, len
     cin1(il) = -100000.
@@ -633,4 +641,5 @@
   qtc1(:, :) = 0.
   wdtrainA1(:, :) = 0.
+  wdtrainS1(:, :) = 0.
   wdtrainM1(:, :) = 0.
   da1(:, :) = 0.
@@ -643,4 +652,5 @@
   sigij1(:, :, :) = 0.
   elij1(:, :, :) = 0.
+  qta1(:,:) = 0.
   clw1(:,:) = 0.
   wghti1(:,:) = 0.
@@ -903,5 +913,5 @@
                          p, ph, h, tv, lv, lf, pbase, buoybase, plcl, &
                          inb, tp, tvp, clw, hp, ep, sigp, buoy, &
-                         frac)
+                         frac_a, frac_s, qpreca, qta)                        !!jygprl
     END IF
 
@@ -912,5 +922,5 @@
                         tnk, qnk, gznk, t, q, qs, gz, &
                         p, dph, h, tv, lv, &
-                        inb, inbis, tp, tvp, clw, hp, ep, sigp, frac)
+                        inb, inbis, tp, tvp, clw, hp, ep, sigp, frac_s)
     END IF
 
@@ -920,5 +930,5 @@
              PRINT *, 'cva_driver -> cv3_epmax_cape'
     call cv3_epmax_fn_cape(nloc,ncum,nd &
-                , ep,hp,icb,inb,clw,nk,t,h,hnk,lv,lf,frac &
+                , ep,hp,icb,inb,clw,nk,t,h,hnk,lv,lf,frac_s &
                 , pbase, p, ph, tv, buoy, sig, w0,iflag &
                 , epmax_diag)
@@ -938,5 +948,6 @@
              PRINT *, 'cva_driver -> cv3p_mixing'
         CALL cv3p_mixing(nloc, ncum, nd, nd, ntra, icb, nk, inb, &           ! na->nd
-                         ph, t, q, qs, u, v, tra, h, lv, lf, frac, qnk, &
+!!                         ph, t, q, qs, u, v, tra, h, lv, lf, frac, qnk, &
+                         ph, t, q, qs, u, v, tra, h, lv, lf, frac_s, qta, &      !!jygprl
                          unk, vnk, hp, tv, tvp, ep, clw, sig, &
                          ment, qent, hent, uent, vent, nent, &
@@ -1018,10 +1029,16 @@
              PRINT *, 'cva_driver -> cv3_mixing'
         CALL cv3_mixing(nloc, ncum, nd, nd, ntra, icb, nk, inb, &             ! na->nd
-                        ph, t, q, qs, u, v, tra, h, lv, lf, frac, qnk, &
+                        ph, t, q, qs, u, v, tra, h, lv, lf, frac_s, qnk, &
                         unk, vnk, hp, tv, tvp, ep, clw, m, sig, &
                         ment, qent, uent, vent, nent, sigij, elij, ments, qents, traent)
         CALL zilch(hent, nloc*nd*nd)
       ELSE
-        CALL cv3_mixscale(nloc, ncum, nd, ment, m)
+!!jyg:  Essais absurde pour voir
+!!        mm(:,1) = 0.
+!!        DO  i = 2,nd
+!!          mm(:,i) = m(:,i)*(1.-qta(:,i-1))
+!!        ENDDO
+        mm(:,:) = m(:,:)
+        CALL cv3_mixscale(nloc, ncum, nd, ment, mm)
         IF (debut) THEN
           PRINT *, ' cv3_mixscale-> '
@@ -1059,9 +1076,10 @@
                      t_wake, q_wake, qs_wake, gz, u, v, tra, p, ph, &
                      th_wake, tv_wake, lv_wake, lf_wake, cpn_wake, &
-                     ep, sigp, clw, &
+                     ep, sigp, clw, frac_s, qpreca, frac_a, qta, &                    !!jygprl
                      m, ment, elij, delt, plcl, coef_clos, &
                      mp, qp, up, vp, trap, wt, water, evap, fondue, ice, &
                      faci, b, sigd, &
-                     wdtrainA, wdtrainM)                                       ! RomP
+!!                     wdtrainA, wdtrainM)                                       ! RomP
+                     wdtrainA, wdtrainS, wdtrainM)                               !!jygprl
 !
       IF (prt_level >= 10) THEN
@@ -1072,8 +1090,8 @@
            evap(igout,k), fondue(igout,k)
         ENDDO
-        Print *, 'cva_driver after cv3_unsat: wdtrainA, wdtrainM '
+        Print *, 'cva_driver after cv3_unsat: wdtrainA, wdtrainS, wdtrainM '     !!jygprl
         DO k = 1,nd
-        write (6, '(i4,2(1x,e13.6))'), &
-           k, wdtrainA(igout,k), wdtrainM(igout,k)
+        write (6, '(i4,3(1x,e13.6))'), &
+           k, wdtrainA(igout,k), wdtrainS(igout,k), wdtrainM(igout,k)            !!jygprl
         ENDDO
       ENDIF
@@ -1109,5 +1127,5 @@
                      t, q, t_wake, q_wake, s_wake, u, v, tra, &
                      gz, p, ph, h, hp, lv, lf, cpn, th, th_wake, &
-                     ep, clw, m, tp, mp, qp, up, vp, trap, &
+                     ep, clw, qpreca, m, tp, mp, qp, up, vp, trap, &
                      wt, water, ice, evap, fondue, faci, b, sigd, &
                      ment, qent, hent, iflag_mix, uent, vent, &
@@ -1118,5 +1136,8 @@
 !!                     tls, tps, &                            ! useless . jyg
                      qcondc, wd, &
-                     ftd, fqd, qnk, qtc, sigt, tau_cld_cv, coefw_cld_cv)
+!!                     ftd, fqd, qnk, qtc, sigt, tau_cld_cv, coefw_cld_cv)
+                     ftd, fqd, qta, qtc, sigt, tau_cld_cv, coefw_cld_cv)         !!jygprl
+!
+!         Test conseravtion de l'eau
 !
       IF (debut) THEN
@@ -1139,5 +1160,5 @@
                      t, q, u, v, &
                      gz, p, ph, h, hp, lv, cpn, &
-                     ep, clw, frac, m, mp, qp, up, vp, &
+                     ep, clw, frac_s, m, mp, qp, up, vp, &
                      wt, water, evap, &
                      ment, qent, uent, vent, nent, elij, &
@@ -1184,6 +1205,6 @@
                            asupmaxmin, &
                            da, phi, mp, phi2, d1a, dam, sigij, &         ! RomP
-                           clw, elij, evap, ep, epmlmMm, eplaMm, &       ! RomP
-                           wdtrainA, wdtrainM, &                         ! RomP
+                           qta, clw, elij, evap, ep, epmlmMm, eplaMm, &  ! RomP
+                           wdtrainA, wdtrainS, wdtrainM, &                         ! RomP
                            qtc, sigt, epmax_diag, & ! epmax_cape
                            iflag1, kbas1, ktop1, &
@@ -1196,7 +1217,7 @@
                            Plim11, plim21, asupmax1, supmax01, &
                            asupmaxmin1, &
-                           da1, phi1, mp1, phi21, d1a1, dam1, sigij1,  & ! RomP
-                           clw1, elij1, evap1, ep1, epmlmMm1, eplaMm1, & ! RomP
-                           wdtrainA1, wdtrainM1,                       & ! RomP
+                           da1, phi1, mp1, phi21, d1a1, dam1, sigij1,  &       ! RomP
+                           qta1, clw1, elij1, evap1, ep1, epmlmMm1, eplaMm1, & ! RomP
+                           wdtrainA1, wdtrainS1, wdtrainM1,                  & ! RomP
                            qtc1, sigt1, epmax_diag1) ! epmax_cape
 !   
Index: /LMDZ6/branches/Ocean_skin/libf/phylmd/cvflag.h
===================================================================
--- /LMDZ6/branches/Ocean_skin/libf/phylmd/cvflag.h	(revision 3604)
+++ /LMDZ6/branches/Ocean_skin/libf/phylmd/cvflag.h	(revision 3605)
@@ -4,5 +4,24 @@
       logical cvflag_grav
       logical cvflag_ice
+      logical ok_optim_yield
+      logical ok_entrain
+      logical ok_homo_tend
+      logical ok_convstop
+      logical ok_intermittent
+      logical cvflag_prec_eject
+      logical qsat_depends_on_qt
+      logical adiab_ascent_mass_flux_depends_on_ejectliq
+      logical keepbug_ice_frac
+      integer icvflag_Tpa
 
-      COMMON /cvflag/ cvflag_grav, cvflag_ice  
+      COMMON /cvflag/ icvflag_Tpa, &
+                      cvflag_grav, cvflag_ice, &
+                      ok_optim_yield, &
+                      ok_entrain, &
+                      ok_homo_tend, &
+                      ok_convstop, ok_intermittent, &
+                      cvflag_prec_eject, &
+                      qsat_depends_on_qt, &
+                      adiab_ascent_mass_flux_depends_on_ejectliq, &
+                      keepbug_ice_frac
 !$OMP THREADPRIVATE(/cvflag/)
Index: /LMDZ6/branches/Ocean_skin/libf/phylmd/dimphy.F90
===================================================================
--- /LMDZ6/branches/Ocean_skin/libf/phylmd/dimphy.F90	(revision 3604)
+++ /LMDZ6/branches/Ocean_skin/libf/phylmd/dimphy.F90	(revision 3605)
@@ -1,3 +1,6 @@
-MODULE dimphy
+!
+! $Id$
+!
+  MODULE dimphy
   
   INTEGER,SAVE :: klon
@@ -33,7 +36,27 @@
 !$OMP END MASTER    
     ALLOCATE(zmasq(klon))    
+    zmasq=0.
     
   END SUBROUTINE Init_dimphy
 
+  SUBROUTINE Init_dimphy1D(klon0,klev0)
+! 1D special version of dimphy without ALLOCATE(zmasq)
+! which will be allocated in iniphysiq
+  IMPLICIT NONE
+  
+    INTEGER, INTENT(in) :: klon0
+    INTEGER, INTENT(in) :: klev0
+    
+    klon=klon0
+    kdlon=klon
+    kidia=1
+    kfdia=klon
+    klev=klev0
+    klevp1=klev+1
+    klevm1=klev-1
+    kflev=klev
+    
+  END SUBROUTINE Init_dimphy1D
+
   
 END MODULE dimphy
Index: /LMDZ6/branches/Ocean_skin/libf/phylmd/dyn1d/1DUTILS.h
===================================================================
--- /LMDZ6/branches/Ocean_skin/libf/phylmd/dyn1d/1DUTILS.h	(revision 3604)
+++ /LMDZ6/branches/Ocean_skin/libf/phylmd/dyn1d/1DUTILS.h	(revision 3605)
@@ -2,5 +2,5 @@
 
 !
-! $Id: conf_unicol.F 1279 2010-08-04 17:20:56Z lahellec $
+! $Id$
 !
 !
@@ -540,10 +540,21 @@
        CALL getin('nudging_w',nudging_w)
 
+! RELIQUE ANCIENS FORMAT. ECRASE PAR LE SUIVANT
 !Config  Key  = nudging_q
 !Config  Desc = forcage ou non par nudging sur q
 !Config  Def  = false
 !Config  Help = forcage ou non par nudging sur q
-       nudging_q =0
-       CALL getin('nudging_q',nudging_q)
+       nudging_qv =0
+       CALL getin('nudging_q',nudging_qv)
+       CALL getin('nudging_qv',nudging_qv)
+
+       p_nudging_u=11000.
+       p_nudging_v=11000.
+       p_nudging_t=11000.
+       p_nudging_qv=11000.
+       CALL getin('p_nudging_u',p_nudging_u)
+       CALL getin('p_nudging_v',p_nudging_v)
+       CALL getin('p_nudging_t',p_nudging_t)
+       CALL getin('p_nudging_qv',p_nudging_qv)
 
 !Config  Key  = nudging_t
@@ -599,5 +610,5 @@
       write(lunout,*)' nudging_v  = ', nudging_v
       write(lunout,*)' nudging_t  = ', nudging_t
-      write(lunout,*)' nudging_q  = ', nudging_q
+      write(lunout,*)' nudging_qv  = ', nudging_qv
       IF (forcing_type .eq.40) THEN
         write(lunout,*) '--- Forcing type GCSS Old --- with:'
@@ -814,7 +825,5 @@
       character*80 abort_message
 !
-      INTEGER nb
-      SAVE nb
-      DATA nb / 0 /
+      INTEGER pass
 
       CALL open_restartphy(fichnom)
@@ -828,10 +837,10 @@
       ENDDO
 
-      modname = 'dyn1dredem'
-      ierr = NF_OPEN(fichnom, NF_WRITE, nid)
-      IF (ierr .NE. NF_NOERR) THEN
-         abort_message="Pb. d ouverture "//fichnom
-         CALL abort_gcm('Modele 1D',abort_message,1)
-      ENDIF
+!     modname = 'dyn1dredem'
+!     ierr = NF_OPEN(fichnom, NF_WRITE, nid)
+!     IF (ierr .NE. NF_NOERR) THEN
+!        abort_message="Pb. d ouverture "//fichnom
+!        CALL abort_gcm('Modele 1D',abort_message,1)
+!     ENDIF
 
       DO l=1,length
@@ -885,28 +894,32 @@
        tab_cntrl(31) = FLOAT(itau_dyn + itaufin)
 !
-      CALL put_var("controle","Param. de controle Dyn1D",tab_cntrl)
+      DO pass=1,2
+      CALL put_var(pass,"controle","Param. de controle Dyn1D",tab_cntrl)
 !
 
 !  Ecriture/extension de la coordonnee temps
 
-      nb = nb + 1
 
 !  Ecriture des champs
 !
-      CALL put_field("plev","p interfaces sauf la nulle",plev)
-      CALL put_field("play","",play)
-      CALL put_field("phi","geopotentielle",phi)
-      CALL put_field("phis","geopotentiell de surface",phis)
-      CALL put_field("presnivs","",presnivs)
-      CALL put_field("ucov","",ucov)
-      CALL put_field("vcov","",vcov)
-      CALL put_field("temp","",temp)
-      CALL put_field("omega2","",omega2)
+      CALL put_field(pass,"plev","p interfaces sauf la nulle",plev)
+      CALL put_field(pass,"play","",play)
+      CALL put_field(pass,"phi","geopotentielle",phi)
+      CALL put_field(pass,"phis","geopotentiell de surface",phis)
+      CALL put_field(pass,"presnivs","",presnivs)
+      CALL put_field(pass,"ucov","",ucov)
+      CALL put_field(pass,"vcov","",vcov)
+      CALL put_field(pass,"temp","",temp)
+      CALL put_field(pass,"omega2","",omega2)
 
       Do iq=1,nqtot
-        CALL put_field("q"//nmq(iq),"eau vap ou condens et traceurs",           &
+        CALL put_field(pass,"q"//nmq(iq),"eau vap ou condens et traceurs",           &
      &                                                      q(:,:,iq))
       EndDo
-      CALL close_restartphy
+    IF (pass==1) CALL enddef_restartphy
+    IF (pass==2) CALL close_restartphy
+
+
+      ENDDO
 
 !
Index: /LMDZ6/branches/Ocean_skin/libf/phylmd/dyn1d/1DUTILS.h
===================================================================
--- /LMDZ6/branches/Ocean_skin/libf/phylmd/dyn1d/1DUTILS.h	(revision 3604)
+++ /LMDZ6/branches/Ocean_skin/libf/phylmd/dyn1d/1DUTILS.h	(revision 3605)
@@ -5125,7 +1759,7 @@
        real frac,frac1,frac2,fact
  
-       do l = 1, llm
-       print *,'debut interp2, play=',l,play(l)
-       enddo
+!       do l = 1, llm
+!       print *,'debut interp2, play=',l,play(l)
+!       enddo
 !      do l = 1, nlev_cas
 !      print *,'debut interp2, plev_prof_cas=',l,play(l),plev_prof_cas(l)
@@ -5137,5 +1771,5 @@
  
         mxcalc=l
-        print *,'debut interp2, mxcalc=',mxcalc
+!        print *,'debut interp2, mxcalc=',mxcalc
          k1=0
          k2=0
Index: /LMDZ6/branches/Ocean_skin/libf/phylmd/dyn1d/1D_decl_cases.h
===================================================================
--- /LMDZ6/branches/Ocean_skin/libf/phylmd/dyn1d/1D_decl_cases.h	(revision 3604)
+++ /LMDZ6/branches/Ocean_skin/libf/phylmd/dyn1d/1D_decl_cases.h	(revision 3605)
@@ -34,4 +34,5 @@
         real w_mod(llm), t_mod(llm),q_mod(llm)
         real u_mod(llm),v_mod(llm), ht_mod(llm),vt_mod(llm),ug_mod(llm),vg_mod(llm)
+	real temp_nudg_mod(llm),qv_nudg_mod(llm),u_nudg_mod(llm),v_nudg_mod(llm)
         real hq_mod(llm),vq_mod(llm),qv_mod(llm),ql_mod(llm),qt_mod(llm)
         real th_mod(llm)
@@ -95,35 +96,37 @@
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 !Declarations specifiques au cas GABLS4   (MPL 20141023)
-        character*80 :: fich_gabls4
-        integer nlev_gabls4, nt_gabls4, nsol_gabls4
-        parameter (nlev_gabls4=90, nt_gabls4=37, nsol_gabls4=19)  
-        integer year_ini_gabls4, day_ini_gabls4, mth_ini_gabls4
-        real heure_ini_gabls4
-        real day_ju_ini_gabls4   ! Julian day of gabls4 first day
-        parameter (year_ini_gabls4=2009) 
-        parameter (mth_ini_gabls4=12)
-        parameter (day_ini_gabls4=11)  ! 11 = 11 decembre 2009
-        parameter (heure_ini_gabls4=0.) !0UTC en secondes
-        real dt_gabls4
-        parameter (dt_gabls4=3600.) ! 1 forcage ttes les heures
-
+!FHADETRUIRE
+!       character*80 :: fich_gabls4
+!       integer nlev_gabls4, nt_gabls4, nsol_gabls4
+!       parameter (nlev_gabls4=90, nt_gabls4=37, nsol_gabls4=19)  
+!       integer year_ini_gabls4, day_ini_gabls4, mth_ini_gabls4
+!       real heure_ini_gabls4
+!       real day_ju_ini_gabls4   ! Julian day of gabls4 first day
+!       parameter (year_ini_gabls4=2009) 
+!       parameter (mth_ini_gabls4=12)
+!       parameter (day_ini_gabls4=11)  ! 11 = 11 decembre 2009
+!       parameter (heure_ini_gabls4=0.) !0UTC en secondes
+!       real dt_gabls4
+!       parameter (dt_gabls4=3600.) ! 1 forcage ttes les heures
+!
 !profils initiaux:
-        real plev_gabls4(nlev_gabls4)
-        real zz_gabls4(nlev_gabls4)
-        real th_gabls4(nlev_gabls4),t_gabls4(nlev_gabls4),qv_gabls4(nlev_gabls4)
-        real u_gabls4(nlev_gabls4), v_gabls4(nlev_gabls4)
-        real depth_sn_gabls4(nsol_gabls4),tsnow_gabls4(nsol_gabls4),snow_dens_gabls4(nsol_gabls4)
-        real t_gabi(nlev_gabls4),qv_gabi(nlev_gabls4)
-        real u_gabi(nlev_gabls4), v_gabi(nlev_gabls4),ug_gabi(nlev_gabls4), vg_gabi(nlev_gabls4)
-        real ht_gabi(nlev_gabls4),hq_gabi(nlev_gabls4),poub(nlev_gabls4)
-        
+!       real plev_gabls4(nlev_gabls4)
+!       real zz_gabls4(nlev_gabls4)
+!       real th_gabls4(nlev_gabls4),t_gabls4(nlev_gabls4),qv_gabls4(nlev_gabls4)
+!       real u_gabls4(nlev_gabls4), v_gabls4(nlev_gabls4)
+!       real depth_sn_gabls4(nsol_gabls4),tsnow_gabls4(nsol_gabls4),snow_dens_gabls4(nsol_gabls4)
+!       real t_gabi(nlev_gabls4),qv_gabi(nlev_gabls4)
+!       real u_gabi(nlev_gabls4), v_gabi(nlev_gabls4),ug_gabi(nlev_gabls4), vg_gabi(nlev_gabls4)
+!       real ht_gabi(nlev_gabls4),hq_gabi(nlev_gabls4),poub(nlev_gabls4)
+!       
 !forcings
-        real ht_gabls4(nlev_gabls4,nt_gabls4),hq_gabls4(nlev_gabls4,nt_gabls4)
-        real ug_gabls4(nlev_gabls4,nt_gabls4),vg_gabls4(nlev_gabls4,nt_gabls4)
-        real tg_gabls4(nt_gabls4)
-        real ht_profg(nlev_gabls4),hq_profg(nlev_gabls4)
-        real ug_profg(nlev_gabls4),vg_profg(nlev_gabls4)
-        real tg_profg
-         
+! Lignes a detruire ...
+!       real ht_gabls4(nlev_gabls4,nt_gabls4),hq_gabls4(nlev_gabls4,nt_gabls4)
+!       real ug_gabls4(nlev_gabls4,nt_gabls4),vg_gabls4(nlev_gabls4,nt_gabls4)
+!       real tg_gabls4(nt_gabls4)
+!       real ht_profg(nlev_gabls4),hq_profg(nlev_gabls4)
+!       real ug_profg(nlev_gabls4),vg_profg(nlev_gabls4)
+!       real tg_profg
+!        
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
@@ -281,4 +284,5 @@
         real qv_mod_cas(llm),ql_mod_cas(llm),qi_mod_cas(llm)
         real ug_mod_cas(llm),vg_mod_cas(llm)
+        real temp_nudg_mod_cas(llm),qv_nudg_mod_cas(llm),v_nudg_mod_cas(llm),u_nudg_mod_cas(llm)
         real u_mod_cas(llm),v_mod_cas(llm)
         real omega_mod_cas(llm)
